#pragma once
#include "CivAssembly.h"
#include "CivInpHelperAbs.h"
#include <memory>

/**
 ݿȡinpļص
*/
class INPDLLEXPORT CivInpDbHelper:public CivInpHelperAbs
{
public:
	explicit CivInpDbHelper(const std::string& uri);
	~CivInpDbHelper();

	bool getNode(CivNode& node)override;
	bool getPipe(CivPipe& pipe) override;
	bool getTank(CivTank& tank) override;
	bool getValve(CivValve& valve) override;
	bool getPumps(CivPumps& pump) override;
	bool getReservoirs(CivReservoirs& reservoirs) override;
	bool getCoordinates(CivCoordinates& coord) override;
	bool getQuality(CivQuality& quality) override;	
	bool getStatus(CivStatus& status) override;

private:
	// 
	void handleValves();

	std::string mCondtion;
	std::multimap<std::string,std::string> mValvePipeMap;
	std::multimap<std::string, CivPipe::PipesTable> mPipesMap; 
	std::multimap<std::string, CivNode::NodeTable> mNodeMap; // 뷧Ĺܶ
};
